Skip to main content
`Ctrl`+`K`

# PetscMallocLogRequestedSizeSet

Whether to log the requested or aligned memory size

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscMallocLogRequestedSizeSet(PetscBool flg)

Not Collective

## Input Parameter

- flg - `PETSC_TRUE` to log the requested memory size

## Options Database Key

- -malloc_requested_size (true|false) - Sets this flag

## See Also

`PetscMallocLogRequestedSizeGet()`, `PetscMallocViewSet()`, `PetscMalloc()`, `PetscFree()`

## Level

developer

## Location

src/sys/memory/mtr.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages